Skip to content

Forgot Password

| View as Markdown

To manage the card of a customer, prepaid card portal access will be provided which requires login credentials. This API is used for forgot password to get the link for reset password of the login credentials. We must pass mobile no and dob in request. If the request has valid details, the url link for reset password will be sent to the mobile no.

https://kraken.airpay.co.in/airpay/ms/cards/api/forgot-password
FieldTypeDescription
affiliatetextWill be provided by Airpay (length 10, required)
checksumtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)
processor-keytextWill be provided by airpay(constant, required)
FieldTypeDescription
mobile_nonumericMobile number of customer(length 10, required)
dobdateDOB of customer-DOB format YYYY-MM-DD (length 10, required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/forgot-password' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX978' \
--data-urlencode 'dob=1958-01-02'
FieldTypeDescription
statusnumeric400- fail,200-success(length 3, required)
messagetextSuccess, Fail(required)
datajson{“url”:”https://test_ppc.arpy.co.in/user/resetpass”}(required)
{
"status": 200,
"message": "success",
"data": {
"url": "https://testcards.arpy.co.in/user/resetpass/AIRPAYCUST1234567899630123615896989XOAFDWXZU5"
}
}
{
"status": 400,
"message": "fail"
}